Summary: The ping program for checking to see if network hosts are alive.
Name: iputils
%define ver 020124
Version: 20%{ver}
Release: 4m
License: BSD
Group: System Environment/Daemons
Source0: ftp://ftp.sunet.se/pub/os/Linux/ip-routing/iputils-ss%{ver}.tar.gz
NoSource: 0
Source1: bonding-0.2.tar.gz
Source2: iputils-man.tar.bz2
Patch0: iputils-20001007-rh7.patch
Patch1: iputils-20001110-datalen.patch
Patch2: iputils-20020124-ping_sparcfix.patch
Patch3: iputils-add-sockaddr_storage-definition.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

%prep
%setup -q -n %{name} -a 1 -a 2

rm -f bonding-0.2/ifenslave
mv -f bonding-0.2/README bonding-0.2/README.ifenslave

%patch0 -p1 -b .rh7
%patch1 -p1 -b .datalen
%patch2 -p1 -b .ping_sparcfix
%patch3 -p1

# uhe dassa.
sed -e "s,BOND_SETHWADDR,BOND_SETHWADDR_OLD,g" \
    -e "s,BOND_ENSLAVE,BOND_ENSLAVE_OLD,g" \
    bonding-0.2/ifenslave.c > bonding-0.2/ifenslave.c.tmp
mv bonding-0.2/ifenslave.c.tmp bonding-0.2/ifenslave.c

%build
make
make ifenslave -C bonding-0.2
# dassa
# make -C doc man

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}/{bin,sbin}
install -c arping		%{buildroot}/sbin/
ln -sf			../../sbin/arping %{buildroot}%{_sbindir}/arping
install -c clockdiff		%{buildroot}%{_sbindir}/
install -c ping			%{buildroot}/bin/
install -c bonding-0.2/ifenslave %{buildroot}/sbin/
install -c rdisc		%{buildroot}%{_sbindir}/
install -c tracepath		%{buildroot}%{_sbindir}/

mkdir -p %{buildroot}%{_mandir}/man8
#install -c doc/arping.8		%{buildroot}%{_mandir}/man8/
#install -c doc/clockdiff.8	%{buildroot}%{_mandir}/man8/
#install -c doc/rdisc.8		%{buildroot}%{_mandir}/man8/rdisc.8
#install -c doc/ping.8		%{buildroot}%{_mandir}/man8/
#install -c doc/tracepath.8	%{buildroot}%{_mandir}/man8/
install -c arping.8		%{buildroot}%{_mandir}/man8/
install -c clockdiff.8	%{buildroot}%{_mandir}/man8/
install -c ping.8		%{buildroot}%{_mandir}/man8/
install -c tracepath.8	%{buildroot}%{_mandir}/man8/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc RELNOTES bonding*/README.ifenslave
/sbin/arping
%{_sbindir}/arping
%{_sbindir}/clockdiff
%attr(4755,root,root)	/bin/ping
/sbin/ifenslave
%{_sbindir}/tracepath
%{_sbindir}/rdisc
%{_mandir}/man8/*

%changelog
* Sun Mar 21 2004 Toru Hoshina <t@momonga-linux.org>
- (20020124-4m)
- revised spec for enabling rpm 4.2.

* Fri Oct  3 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (20020124-3m)
- fix compilation error

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (20020124-2k)
- ver up.
- man...

* Thu Dec 27 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (20001110-8k)
- fix for kernel-2.4.17

* Tue Dec 11 2001 Toru Hoshina <t@kondara.org>
- (20001110-6k)
- arping! arping!

* Sun Apr 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (20001110-4k)
- add iputils.ipv6.nomake.patch

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (20001110-2k)
- update to 20001110
- errased IPv6 commands with %{_ipv6} macro

* Thu Nov  2 2000 Toru Hoshina <toru@df-usa.com>
- I'm wondering why socksddr_in6 structure is different in
  /usr/src/linux/include/linux/in6.h and /usr/include/netinet/in.h ???
- Anyway, I've patched ping6.c to avoid stupid undeclare error.
  Please fix it ASAP, because I don't think ping6 works :-P

* Thu Oct 26 2000 Toyokazu Watabe <toy2@kondara.org> 20001011-1k
- update for 001011 including security fix.
- remove patch file iputils-991024.manfix.

* Mon Aug 07 2000 Toru Hoshina <t@kondara.org>
- Kodaraized.

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- fix include-glibc/ to work with new glibc 2.2 resolver headers

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to ss000418.
- perform reverse DNS lookup only once for same input.

* Sun Mar  5 2000 Jeff Johnson <jbj@redhat.com>
- include README.ifenslave doco.
- "ping -i N" was broke for N >= 3 (#9929).
- update to ss000121:
-- clockdiff: preserve raw socket errno.
-- ping: change error exit code to 1 (used to be 92,93, ...)
-- ping,ping6: if -w specified, transmit until -c limit is reached.
-- ping,ping6: exit code non-zero if some packets not received within deadline.

* Tue Feb 22 2000 Jeff Johnson <jbj@redhat.com>
- man page corrections (#9690).

* Wed Feb  9 2000 Jeff Johnson <jbj@jbj.org>
- add ifenslave.

* Thu Feb  3 2000 Elliot Lee <sopwith@redhat.com>
- List /usr/sbin/rdisc in %files list.

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- add remaining binaries.
- casts to remove compilation warnings.
- terminate if -w deadline is reached exactly (#8724).

* Fri Dec 24 1999 Jeff Johnson <jbj@redhat.com>
- create (only ping for now, traceroute et al soon).
